library(plyr)
library(readr)
library(ggplot2)


setwd("~/publications/2019/ml3semantics/data/results-2000/config-0/")

files <- list.files(pattern="run\\-\\d+\\.csv$", full.names=TRUE)

dataset <- ldply(files, read_csv)
dataset$age <- as.numeric(dataset$age) 

ggplot(data=dataset, aes(x=age)) + 
  geom_histogram(aes(y = stat(count) / sum(count)), breaks=seq(0, 90, by=1)) + 
  labs(x="age", y="relative frequency") +
  theme(text=element_text(size=8,  family="serif"))

ggsave(filename = "plot.png", width = 151.129423745, height = 50, units = "mm")